;---------------------------GrayScale Routine------------------------------;

IntRoutine:
	push    af
	ld a,($C1B4)
	cp $1D
	jr c,DownLeft_check
	cp $20
	jr nc,DownLeft_check
	jr DownLeft_OK
DownLeft_check:
	in a,($03)
	bit 3,a
	jr z,DownLeft_OK
	res 0,a
	out ($03),a
DownLeft_OK:
	push hl
	in a,(3)
	bit 1,a
	jr z,EndIntRoutine
	ld hl,IntData
	ld a,(IntCounter)
	cp 5
	jr z,DisplayLast
	cp 3
	jr c,DisplayBpl1
	jr DisplayBpl2
DisplayBpl1:
	inc a
	ld (IntCounter),a
	ld a,(hl)
	out (0),a
	jr EndIntRoutine
DisplayBpl2:
	inc a
	ld (IntCounter),a
	inc hl
	ld a,(hl)
	out (0),a
	jr EndIntRoutine
DisplayLast:
	ld a,(hl)
	out (0),a
	xor a
	ld (IntCounter),a
EndIntRoutine:
	ld hl,UserCounter
	inc (hl)
	ld a,(hl)
	cp 167
	jr nz,EndIntTime
	xor a
	ld (hl),a
	ld hl,(Time)
	inc hl
	ld (Time),hl
EndIntTime:
	pop hl
	pop af
	ret
InterruptMemEnd:

IntCounter			equ _user_int_ram+InterruptMemEnd-IntRoutine+2
IntData				equ _user_int_ram+InterruptMemEnd-IntRoutine+3
UserCounter			equ _user_int_ram+InterruptMemEnd-IntRoutine+5

SourceIntData:
.db $3C,$33
