;__________________________________________________________________________;
;_________________________________PAUSE____________________________________;
;__________________________________________________________________________;

Pause:
	push hl
	ld a,(UserCounter)
	ld (Counter_Saved),a
	ld hl,(Time)
	ld (Time_Saved),hl
	ld hl,Pause_Window
	ld de,$0101
	call Disp_Window
	ld de,%0010111111110100
	ld hl,$F561
	call Draw_Line_H
	ld de,%0011111111111100
	call Draw_Line_H
	ld de,%0010111111110100
	call Draw_Line_H
	ld hl,$FE71
	ld de,%0011111111111100
	call Draw_Line_H
	ld hl,$F455
	ld d,%00010000
	ld bc,%0010001100111000
	call Draw_Line_V
	ld hl,$F45A
	ld d,%00001000
	ld bc,%0010001100011100
	call Draw_Line_V
	ld hl,Pause_Text
	call Disp_Text
	ld de,$1E15				;this is the cursor place
	ld a,(Flag_Number)		;now we get score
	ld h,0
	ld l,a
	call Show_a_NB
	ld a,(Level)
	ld b,a
	ld hl,More_Pause_text - 13
	ld de,0013
Disp_Level_Text:
	add hl,de
	djnz Disp_Level_Text
	call Disp_Text
	ld de,$1E5F
	ld hl,(Time_Saved)
	call Show_a_NB
	ld a,(Level)
	ld b,a
	ld hl,HiScore_Data-4
	ld de,0022
Disp_HiScore_Text:
	add hl,de
	djnz Disp_HiScore_Text
	ld e,(hl)
	inc hl
	ld d,(hl)
	push hl
	ex de,hl
	ld de,$305F
	ld (_penCol),de
	call Show_a_NB
	pop hl
	inc hl
	ld e,(hl)
	inc hl
	ld d,(hl)
	ex de,hl
	ld de,$3015
	ld (_penCol),de
	call Show_a_NB
Pause_Loop:
	call _getky
	cp K_PLUS
	call z,inc_contrast
	cp K_MINUS
	call z,dec_contrast
	cp K_EXIT
	jr z,Game_Back
	cp K_MORE
	jr nz,Pause_Loop
	res 2,(iy+$23)
	ld a,1
	out (3),a
	halt
	ld a,11
	out (3),a        
	res onInterrupt,(iy+onflags)
	set 2,(iy+$23)
	jr Pause_Loop
Game_Back:
	call Draw_TileMap
	ld a,(Counter_Saved)
	ld (UserCounter),a
	ld hl,(Time_Saved)
	ld (Time),hl
	pop hl
	jp Disp_Cursor

